Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.accessoutput
Class AccessOutputData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.accessoutput.AccessOutputData

All Implemented Interfaces:
  StepDataInterface

    public class AccessOutputData

extends BaseStepData
implements StepDataInterface

Since:
  24-jan-2005
Author:
  Matt

Field Summary
`List<com.healthmarketscience.jackcess.Column>` | `columns`
`com.healthmarketscience.jackcess.Database` | `db`
`boolean` | `oneFileOpened`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`List<Object[]>` | `rows`
`com.healthmarketscience.jackcess.Table` | `table`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`AccessOutputData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### db

    public com.healthmarketscience.jackcess.Database db

### table

    public com.healthmarketscience.jackcess.Table table

### columns

    public List<com.healthmarketscience.jackcess.Column> columns

### rows

    public List<Object[]> rows

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### oneFileOpened

    public boolean oneFileOpened

Constructor Detail

### AccessOutputData

    public AccessOutputData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD